Skip to main content
Infrastructure/Agents

ListActiveLocks

List all currently active locks across all agents

GET/api/v1/agents/locks

Operation ID

ListActiveLocks

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

This API requires no request parameters.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Collection of result items

    Example: (nested array)

    • agentId
      String

      UUID of the agent on which the lock is held

      Example: agent-abc123-def456

    • operationType
      String

      Type of operation for which the lock was acquired

      Example: upgrade

    • holder
      String

      Current holder of the lock

      Example: upgrade-service

    • acquiredAt
      String

      Acquired at

      Example: 2026-01-15T08:00:00Z

    • expiresAt
      String

      Expires at

      Example: 2026-01-15T08:00:00Z

    • lockToken
      String

      Token associated with this lock for release verification

      Example: lock-token-abc123

  • total
    Integer

    Total number of currently active locks

    Example: 5

  • limit
    Integer

    Maximum number of lock statuses returned

    Example: 20

  • offset
    Integer

    Number of entries skipped for pagination

    Example: 20